summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Groffen <grobian@gentoo.org>2021-02-20 15:13:18 +0100
committerFabian Groffen <grobian@gentoo.org>2021-02-20 15:13:18 +0100
commitf0a132d3a17ee1ab20d135e8e99ea691ad50e536 (patch)
tree8f1680d0214e94a4e42b22c1710863d5976905e0
parentscripts/auto-bootstraps/dobootstrap: ensure entire execution is kept alive (diff)
downloadprefix-f0a132d3a17ee1ab20d135e8e99ea691ad50e536.tar.gz
prefix-f0a132d3a17ee1ab20d135e8e99ea691ad50e536.tar.bz2
prefix-f0a132d3a17ee1ab20d135e8e99ea691ad50e536.zip
sys-devel/gcc-10.2.0-r5: fix build on darwin19 (10.15)
For some reason on Catalina (10.15) the build fails with binutils-apple on not finding dylib1.o. The same problem doesn't exist on 10.13, nor 11.0, so simply up the minimum macOS version from 10.4 to 10.6 where dylib1.o is included in libSystem. Closes: https://bugs.gentoo.org/767415 Package-Manager: Portage-3.0.14-prefix, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
-rw-r--r--sys-devel/gcc/gcc-10.2.0-r5.ebuild7
1 files changed, 6 insertions, 1 deletions
diff --git a/sys-devel/gcc/gcc-10.2.0-r5.ebuild b/sys-devel/gcc/gcc-10.2.0-r5.ebuild
index 359513628c..f146759e09 100644
--- a/sys-devel/gcc/gcc-10.2.0-r5.ebuild
+++ b/sys-devel/gcc/gcc-10.2.0-r5.ebuild
@@ -43,6 +43,11 @@ src_prepare() {
libgcc/config/t-slibgcc-darwin || die
fi
+ # up macosx-version-min from 10.4 to 10.6 on Catalina, bug #767415
+ if [[ ${CHOST} == *-darwin19 ]] ; then
+ sed -i -e 's/=10.4/=10.6/' libgcc/config/t-darwin || die
+ fi
+
# fix for Big Sur versioning, remove with 11
eapply -p1 "${FILESDIR}"/${PN}-10.1.0-macos-bigsur.patch
find . -name "configure" | xargs \
@@ -68,7 +73,7 @@ src_configure() {
export gcc_cv_c_no_fpie=no
export gcc_cv_no_pie=no
;;
- *-darwin19|*-darwin20)
+ *-darwin20)
# use sysroot with the linker, #756160
export gcc_cv_ld_sysroot=yes
;;